package edu.usc.ict.gordon.util;

/**
 * Runtime exception thrown when no duplicates are allowed in a particular object collection.
 *
 * @author Cosmin Adrian Bejan
 * @version 1.0
 * @since JDK1.5 | September 2005
 */
public class UnsupportedDuplicateException extends RuntimeException {
  static final long serialVersionUID = 7547108684904668038L;

  /**
   * Constructs a <code>UnsupportedDuplicateException</code> with no detail message.
   *
   */
  public UnsupportedDuplicateException() {
    super();
  }

  /**
   * Constructs a <code>UnsupportedDuplicateException</code> with the specified 
   * detail message. 
   *
   * @param s the detail message.
   */
  public UnsupportedDuplicateException(String s) {
    super(s);
  }
}
